| PUT | /RestApi/comments-api/threads |
|---|
import Foundation
import ServiceStack
public class ThreadUpdateRequest : Codable
{
public var key:String
public var isClosed:Bool
required public init(){}
}
public class ThreadResponse : Codable
{
public var key:String
public var type:String
public var commentsCount:Int
public var title:String
public var language:String
public var isClosed:Bool
public var groupKey:String
public var itemUrl:String
public var dataSource:String
public var averageRating:Double?
required public init(){}
}
Swift ThreadUpdateRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/comments-api/threads HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Key: String,
IsClosed: False
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Key: String,
Type: String,
CommentsCount: 0,
Title: String,
Language: String,
IsClosed: False,
GroupKey: String,
ItemUrl: String,
DataSource: String,
AverageRating: 0
}